CBLAS/testing/c_zblas1.c(3)

NAME
CBLAS/testing/c_zblas1.c

SYNOPSIS

#include 'cblas_test.h'
#include 'cblas.h'

  Functions
void F77_zaxpy (const CBLAS_INT *N, const void *alpha, void *X, const CBLAS_INT *incX, void *Y, const CBLAS_INT *incY)
void F77_zcopy (const CBLAS_INT *N, void *X, const CBLAS_INT *incX, void *Y, const CBLAS_INT *incY)
void F77_zdotc (const CBLAS_INT *N, const void *X, const CBLAS_INT *incX, const void *Y, const CBLAS_INT *incY, void *dotc)
void F77_zdotu (const CBLAS_INT *N, void *X, const CBLAS_INT *incX, void *Y, const CBLAS_INT *incY, void *dotu)
void F77_zdscal (const CBLAS_INT *N, const double *alpha, void *X, const CBLAS_INT *incX)
void F77_zscal (const CBLAS_INT *N, const void **alpha, void *X, const CBLAS_INT *incX)
void F77_zswap (const CBLAS_INT *N, void *X, const CBLAS_INT *incX, void *Y, const CBLAS_INT *incY)
CBLAS_INT F77_izamax (const CBLAS_INT *N, const void *X, const CBLAS_INT *incX)
double F77_dznrm2 (const CBLAS_INT *N, const void *X, const CBLAS_INT *incX)
double F77_dzasum (const CBLAS_INT *N, void *X, const CBLAS_INT *incX)

Function Documentation

  double F77_dzasum (const CBLAS_INT * N, void * X, const CBLAS_INT * incX)

Definition at line 71 of file c_zblas1.c.

  double F77_dznrm2 (const CBLAS_INT * N, const void * X, const CBLAS_INT * incX)

Definition at line 66 of file c_zblas1.c.

  CBLAS_INT F77_izamax (const CBLAS_INT * N, const void * X, const CBLAS_INT * incX)

Definition at line 60 of file c_zblas1.c.

  void F77_zaxpy (const CBLAS_INT * N, const void * alpha, void * X, const CBLAS_INT * incX, void * Y, const CBLAS_INT * incY)

Definition at line 11 of file c_zblas1.c.

  void F77_zcopy (const CBLAS_INT * N, void * X, const CBLAS_INT * incX, void * Y, const CBLAS_INT * incY)

Definition at line 18 of file c_zblas1.c.

  void F77_zdotc (const CBLAS_INT * N, const void * X, const CBLAS_INT * incX, const void * Y, const CBLAS_INT * incY, void * dotc)

Definition at line 25 of file c_zblas1.c.

  void F77_zdotu (const CBLAS_INT * N, void * X, const CBLAS_INT * incX, void * Y, const CBLAS_INT * incY, void * dotu)

Definition at line 32 of file c_zblas1.c.

  void F77_zdscal (const CBLAS_INT * N, const double * alpha, void * X, const CBLAS_INT * incX)

Definition at line 39 of file c_zblas1.c.

  void F77_zscal (const CBLAS_INT * N, const void ** alpha, void * X, const CBLAS_INT * incX)

Definition at line 46 of file c_zblas1.c.

  void F77_zswap (const CBLAS_INT * N, void * X, const CBLAS_INT * incX, void * Y, const CBLAS_INT * incY)

Definition at line 53 of file c_zblas1.c.

Author

Generated automatically by Doxygen for LAPACK from the source code.